Description

This is similar to #827. However in this sense | would like to see the following as its easier to get all this data at once rather than
make two api calls. Essential | am building a host object with all the attributes below.

So | would like to call : http://puppet/hosts/cobbler.logicminds.corp and get the following plus the classes obtained from the
puppetclasss api call.

Below is obtained from http://puppet/hosts/cobbler.logicminds.corp

{"host":{"subnet_id":null, "serial":null, "puppetproxy_id":null, "name":"cobbler.logicminds.corp", "ma
naged":null, "last_report":"2011-04-11T01:38:00z",

"comment":"", "architecture_id":1, "created_at":"2011-03-14T03:47:342","sp_mac":"", "puppetmaster_nam
e":null,
"updated_at":"2011-04-16T03:18:412", "sp_name":"", "mac":"00:0c:29:57:b5:£3","installed_at":null, "do
main_id":1,"root_pass":"!*IxIxlxln,

"owner_id":1, "medium_id":null,"id":3, "hostgroup_id":1, "enabled":true, "build":false, "ptable_id":nul
1, "sp_subnet_id":null,

"puppet_status":4098, "last_freshcheck":null,"ip":"172.16.220.134", "environment_id":1, "source_file_
id":null, "model_id":1, "environment":{"environment":{"name":"production","id":1}},"sp_ip":"", "disk"
:null, "owner_type":"User", "operatingsystem_id":1,"last_compile":"2011-03-13T20:27:28Z"}}

This is the portion | added that is obtained from http://puppet/hosts/cobbler.logicminds.corp/puppetclasses

{"puppet": [{"puppetclass":{"name":"puppet","id":13}}], "newops_default": [{"puppetclass":{"name":"ne
wops_default","id":7}}], "helloworld": [ {"puppetclass":{"name":"helloworld","id":1}}], "baseapps": [{"
puppetclass":{"name":"baseapps","id":4}}], "oraclebase": [{"puppetclass":{"name":"oraclebase","id":1

01111}

This would be the new output from the hosts/fqdn call:

{"host":{"subnet_id":null,"serial":null, "puppetproxy_id":null, "name":"cobbler.logicminds.corp", "ma
naged":null,"last_report":"2011-04-11T01:38:00z",

"comment":"", "architecture_id":1, "created_at":"2011-03-14T03:47:342Z", "sp_mac":"", "puppetmaster_nam
e":null,
"updated_at":"2011-04-16T03:18:412", "sp_name":"", "mac":"00:0c:29:57:b5:£f3", "installed_at":null, "do
main_id":1,

"root_pass":"!xIx1x1xI" Mowner_id":1, "medium_id":null,"id":3, "hostgroup_id":1, "enabled":true, "buil

d":false, "ptable_id":null,

"sp_subnet_id":null, "puppet_status":4098, "last_freshcheck":null,"ip":"172.16.220.134", "environment
_id":1, "source_file_id":null,

"model_id":1, "environment":{"environment":{"name":"production","id":1}},"sp_ip":"","disk":null, "ow
ner_type":"User", "operatingsystem_id":1,"last_compile":"2011-03-13T20:27:282"}}

{"puppet": [{"puppetclass": {"name" : "puppet", "id":13}}], "newops_default": [{"puppetclass":{"name":"ne
wops_default","id":7}}], "helloworld": [{"puppetclass":{"name":"helloworld","id":1}}], "baseapps": [{"
puppetclass": {"name":"baseapps","id":4}}], "oraclebase": [{"puppetclass":{"name":"oraclebase","id":1
0}l
History

#1 - 04/17/2011 03:34 AM - Ohad Levy

- Status changed from New to Feedback

the problem i see is here, is that there are a lot of data that can be associated with a host.

to name a few
facts

reports,

operating systems
puppet classes
host groups
parameters

audits

subnets

users

S0 keeping each resource separate imho makes more sense

#2 - 09/16/2014 09:34 AM - Ronald van Zantvoort

Probably implemented by http:/projects.theforeman.org/issues/3019 ?

#3 - 05/17/2017 08:53 AM - Anonymous

- Description updated

no reaction, closing.
